%define pkg_name        JavaScript-Minifier
%define pkg_version     1.04
%define rpm_pkg_version 1.04
%define rpm_pkg_release 1.n0i.4

Summary:       Perl extension for minifying JavaScript code
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/P/PM/PMICHAUX/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)


%description
This module removes unnecessary whitespace from JavaScript code.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{__find} . -name '._*' -delete


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Sun Aug 12 2007 Marius Feraru <altblue@n0i.net> - 1.04-1.n0i.4
- version 1.04

* Thu Aug 02 2007 Marius Feraru <altblue@n0i.net> - 1.0.2-1.n0i.3
- version 1.0.2 (different maintainer)

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.02-1.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.02

* Fri Jan 26 2007 Marius Feraru <altblue@n0i.net> - 0.01-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.14.0
- rebuild on perl 5.8.8
